> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-5.0/building-static-data/fightcards-endpoint.md).

# Fightcards Endpoint

## **Endpoint URLs**

**For all tournaments:**

| `https://dde-api.data.imgarena.com/mma/fightcards` |
| -------------------------------------------------- |

**If you want to look at just information for a particular fightcard:**

| `https://dde-api.data.imgarena.com/mma/fightcards/{id}` |
| ------------------------------------------------------- |
|                                                         |

**Required Headers**

| Key           | Value                                           |
| ------------- | ----------------------------------------------- |
| Accept        | application/vnd.imgarena.dde.api+json;version=1 |
| Content-Type  | application/json                                |
| Authorization | Bearer eyvhaoudfgpdfgo\*                        |

\
**Request Parameters**

This endpoint can be requested using dateFrom and dateTo parameters together, to return just the fightcards within a certain date range. Both parameters should specify a date in a `YYYY-mm-dd` format.

## **Response Model**

### **Tournament Object**

| **Field Name**            | **Type** | **Description**                                                                     |
| ------------------------- | -------- | ----------------------------------------------------------------------------------- |
| fightcardName             | string   | the name of the fightcard                                                           |
| identifier                | integer  | the identifier of the fightcard                                                     |
| countryCode               | string   | the country code of the country where the fightcard is taking place                 |
| location                  | string   | the country in which the fightcard is taking place                                  |
| state                     | string   | the state/province in which the fightcard is taking place                           |
| city                      | string   | The city in which the fightcard is taking place                                     |
| venue                     | string   | The name of the venue where the fightcard is taking place                           |
| venueId                   | integer  | The ID of the venue where the fightcard is taking place                             |
| startDate                 | date     | The start date for the fightcard                                                    |
| endDate                   | date     | the end date for the fightcard                                                      |
| startTime                 | time     | the time in which the fightcard starts, in local time + UTC offset format           |
| utcOffset                 | integer  | the UTC offset of the timezone in which the fightcard is taking place               |
| year                      | integer  | the year in which the fightcard is taking place                                     |
| sport                     | string   | the sport associated with the fightcard, in this case MMA                           |
| numberOfFights            | integer  | the number of fights on the fightcard                                               |
| scheduleResource          | string   | a reference to the API URL for the schedule of this fightcard                       |
| status                    | string   | <p>the status of this fightcard.</p><p>Potential values are: active / canceled.</p> |
| booking Status            | object   | information on whether or not a fightcard is booked                                 |
| comments                  | array    | the latest comments on the status of the fightcard                                  |
| numberOfFightsBookedToday | integer  | Number of fights booked on the DDE as per your license agreement                    |
| eventSummary              | object   | Summary of preliminary and main cards i.e. start and number of fights               |
| attendance                | integer  | Total fans in attendance                                                            |
| competitions              | array    | -                                                                                   |

### **Fights Summary Object**

Each fightcard will be broken into three cards; main, prelims1 and prelims 2. This object, will indicate the date of the fightcard, and the three cards.

| Field Name | Type    | Description                                               |
| ---------- | ------- | --------------------------------------------------------- |
| fights     | integer | the number of fights in this particular card of the fight |
| startTime  | time    | the estimated start time of that particular card          |

### **Booking Status Object**

| **F**ield Name | Type   | Description                                    |
| -------------- | ------ | ---------------------------------------------- |
| status         | string | Current booking status of the event on the DDE |

### **Competitions Object**

| Field Name        | Type   | Description                                              |
| ----------------- | ------ | -------------------------------------------------------- |
| organisation      | string | the organisation of the particular fightcard             |
| startDate         | date   | The start date for the fightcard                         |
| endDate           | date   | the end date for the fightcard                           |
| licensingProperty | string | The DDE property that licenses this particular fightcard |

### Sample Response

```
{
    "city": "Las Vegas",
    "startTime": "22:00",
    "location": "USA",
    "endDate": "2022-09-10",
    "fightcardName": "UFC 279: Chimaev vs. Diaz",
    "state": "Nevada",
    "identifier": 758,
    "numberOfFightsBookedToday": 13,
    "year": 2022,
    "sport": "MMA",
    "venueId": "50",
    "scheduleResource": "/mma/fightcards/758/schedule",
    "countryCode": "USA",
    "status": "active",
    "numberOfFights": 13,
    "eventsSummary": {
        "2022-09-10": {
            "prelims1": {
                "fights": 4,
                "startTime": "00:00"
            },
            "prelims2": {
                "fights": 4,
                "startTime": "22:00"
            },
            "main": {
                "fights": 5,
                "startTime": "02:00"
            }
        }
    },
    "utcOffset": 0,
    "attendance": null,
    "startDate": "2022-09-10",
    "bookingStatus": {
        "status": "AutoBooked"
    },
    "venue": "T-Mobile Arena",
    "competitions": [
        {
            "organisation": "UFC",
            "startDate": "2022-09-10",
            "endDate": "2022-09-10"
        }
    ],
    "comments": []
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/building-static-data/fightcards-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
